import pytest

from scipaperloader import create_app


@pytest.fixture
def app():
    app = create_app({"TESTING": True})
    # set up here
    yield app
    # tear down here


@pytest.fixture
def client(app):
    return app.test_client()


def test_index(client):
    response = client.get("/")
    # Updated assertion to check for actual content in the index page
    assert b"Welcome to SciPaperLoader" in response.data
